Bug 85757 - (SOUND CMPCI)C-Media CMI8738 PCI-bus 3D Audio Soundchip
(SOUND CMPCI)C-Media CMI8738 PCI-bus 3D Audio Soundchip
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-03-06 21:31 EST by tonywski
Modified: 2007-04-18 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci. lsmod, dmesg, system info (19.58 KB, text/plain)
2003-03-06 21:37 EST, tonywski
no flags Details

  None (edit)
Description tonywski 2003-03-06 21:31:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Have suffered through trying to get this to work with the aid of RH support
personel in RH7.1 and now same problems in 8.0 (Latest Service Request: 227512
contains much information), this has been going on for over a year now before
being refered to RH Bugzilla for a fix on this.

No audio can be played, attempts to do so causes entire system to lock up
forcing a power button reboot to recover. Have gotten it to not crash system at
times (unable to determine how to reproduce) which allowed the following to be
displayed in dmesg:

cmpci: write: chip lockup? dmasz 65536 fragsz 1024 count 65536 hwptr 0 swptr 0
cmpci: dma timed out??

(See attached file cmedia_bug.txt for more details)

Of course I can't read this when it does lock solid since CTRL+ALT+Backspace (or
DEL) has no response.

"Windows XP Pro" and "Knoppix/Linux" has no sound issues when either of these
were running on this same system, they both assign the device to IRQ9 though, as
you see in the attached notes, RH is placing this device on a shared status @
IRQ5 and is not using IRQ 9 at all. Seem unable to get the device changed over
to IRQ9 in RH, no specific BIOS option to force this either.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run any sound file from system
2.Including "Test Sound"
3.Same in GUI or at shell

Actual Results:  System Locks up, no sound heard, power off to recover in most
cases. Have at some times been able to cancel out of Test Sound without a need
to reboot (or force power off). Also at one point did get a very brief, single
loud pop noise to come from speakers, then seen same errors in dmesg as reported.

Expected Results:  Should have heard a Test Sound, any sound, System certainly
should not be locking up like this from just trying to play a sound file (any

Additional info:

See attached file for the lspci, lsmod, system details and before and after
resaults of running dmesg
Comment 1 tonywski 2003-03-06 21:37:39 EST
Created attachment 90503 [details]
lspci. lsmod, dmesg, system info

File "cmedia_bug.txt" contains more detailed system and error information on
reported bug 85757
Comment 2 Michael Levy 2003-11-09 10:36:45 EST
This bug exists on my machine with same C-Media chip on a Pentium III
running at 1 Ghz with 256 MB/RAM, running Fedora Core 1
Comment 3 Bugzilla owner 2004-09-30 11:40:36 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.